Skip to content

Create Collection H2H

Endpoint

POST /cashin/india/order/createH2H

Request Headers

NameRequiredExampleDescription
Content-TypeYesapplication/json
langNoenResponse language: zh Chinese, en English, pt Portuguese

Request Parameters

FieldTypeRequiredDescription
bankCodestring enumYesBank code — UPI
amountnumberYesOrder amount — 100~49999; up to 2 decimal places (rounded). Trailing zeros after the decimal are omitted in the pre-sign string for float amounts
notifyUrlstringYesNotification callback URL — Sandbox supports automatic callbacks: odd last digit of phone → success; even → failure
namestringNoCustomer name — More realistic values improve success rate and reduce risk-control flags
phonestringNoCustomer phone — 10-digit Indian mobile numbers starting with 6/7/8/9. More realistic numbers improve success rate and reduce risk flags
emailstringNoCustomer email — More realistic values improve success rate and reduce risk-control flags
signstringYesSignature
appIdstringYesMerchant appId — appId assigned by the platform
mchOrderNostringYesMerchant order number
mchIdintegerYesMerchant ID
timestampintegerYesSubmission time — Unix timestamp in seconds
txChannelstringYesTransaction channel — Fixed value: TX_INDIA_001
returnUrlstringNoCheckout redirect URL
productInfostringYesProduct information

Request Example

json
{
 "mchId": 399204155797661,
 "txChannel": "TX_INDIA_001",
 "appId": "DFN19SJXfxFCexeLIi",
 "timestamp": 16624500121,
 "mchOrderNo": "order_1672451031",
 "bankCode": "UPI_DL",
 "amount": 500,
 "name": "Timothy Gonzalez",
 "phone": "18688984423",
 "email": "w.gssdyohqr@chvro.cy",
 "productInfo": "11174394",
 "notifyUrl": "https://webhook.site/e8bd4664-a574-43b9-bd5f-58ee279f0d9f",
 "sign": "coverpay123456"
}

Response Parameters

FieldTypeRequiredDescription
statusintegerYesStatus
msgnullYesMessage
dataobjectYesData
data.mchOrderNostringYesMerchant order number
data.platOrderNostringYesPlatform order number
data.applyTimeintegerYesApplication time — Timestamp format
data.amountstringYesActual paid amount
data.upistringYesUPI account
data.expireTimeintegerYesExpiration time — Timestamp format
data.upiQrLinkstringYesdeeplink — Generate a QR code from this link for the payer

Transafe Developer Documentation